Subject: Re: bug#26126: 26.0.50; file-notify-rm-watch removes arbitrary watches

From: Eli Zaretskii <[email-masked]>
Date: Wed, 22 Mar 2017 18:13:19 +0200

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 22 Mar 2017 17:01:13 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> I've tried to implement remote handlers to behave exactly like the
> >> local ones. That's the Tramp philosophy.
> >
> > Right, but in this case there are 2 flavors of local handlers, and the
> > question is on which of them to model the remote ones.
> 
> IIRC, it was driven by you to let all handlers behave like directory
> monitors.

Yes, that's right.  But I was surely only thinking about local
handlers.

> II also RC, there was the idea to offer another function, which returns
> the type of a monitor, being a file monitor or a directory monitor. This
> idea was given up after all monitors were forced to behave like a
> directory monitor; prior the existence of kqueue. Maybe we shall rethink
> about this idea? Is this of practical use?

I wouldn't start working on this before there's a real need.

Thanks.